<?php
require("config.php");

$con = new mysqli($server, $user, $pwd, $db);
// Check connection
if ($con->connect_error) {
    die("Connection failed: " . $con->connect_error);
} 



$sql = "SELECT DATE_FORMAT(TIMESTAMP, '%d-%m-%Y %H:%i') AS timing, pm10, pm25 FROM `PM` WHERE TIMESTAMP > CURDATE() ORDER BY TIMESTAMP";
$result = $con->query($sql);
$rows = array();
if ($result->num_rows > 0) {

	while($row = $result->fetch_assoc()) {
		$myObj = new stdClass();

		$myObj->pm10 = $row["pm10"];
		$myObj->pm25 = $row["pm25"];
		$myObj->timing = $row["timing"];

		$rows[] = $myObj;
	}
}

$myJSON = json_encode($rows);

echo $myJSON;
$con->close();


?>
