<?php
require("config.php");

$con = new mysqli($server, $user, $pwd, $db);
// Check connection
if ($con->connect_error) {
    die("Connection failed: " . $con->connect_error);
} 

$myObj = new stdClass();

$sql = "SELECT `pm25`, `pm10`, DATE_FORMAT(TIMESTAMP, '%d-%m-%Y %H:%i') AS TS FROM `PM`ORDER BY TIMESTAMP DESC LIMIT 1";
$result = $con->query($sql);
if ($result->num_rows > 0) {

	while($row = $result->fetch_assoc()) {

		$myObj->pm10 = $row["pm10"];
		$myObj->pm25 = $row["pm25"];
		$myObj->time = $row["TS"];
	}
}

$sql = "SELECT AVG(pm25) AS pm25, AVG(pm10) AS pm10 FROM `PM` WHERE TIMESTAMP > (NOW() - INTERVAL 60 MINUTE)";
$result = $con->query($sql);
if ($result->num_rows > 0) {

	while($row = $result->fetch_assoc()) {

		$myObj->pm10h1 = round($row["pm10"], 1);
		$myObj->pm25h1 = round($row["pm25"], 1);
	}
}
$sql = "SELECT AVG(pm25) AS pm25, AVG(pm10) AS pm10 FROM `PM` WHERE TIMESTAMP > (NOW() - INTERVAL 24 HOUR)";
$result = $con->query($sql);
if ($result->num_rows > 0) {

	while($row = $result->fetch_assoc()) {

		$myObj->pm10h24 = round($row["pm10"], 1);
		$myObj->pm25h24 = round($row["pm25"], 1);
	}
}

$myJSON = json_encode($myObj);

echo $myJSON;
$con->close();


?>
