<?php
require("config.php");

$con = new mysqli($server, $user, $pwd, $db);
// Check connection
if ($con->connect_error) {
    die("Connection failed: " . $con->connect_error);
} 



$sql = "SELECT AVG(pm10) AS pm10, AVG(pm25) AS pm25, CURRENT_DAY AS timing FROM `PM` GROUP BY CURRENT_DAY HAVING CURRENT_DAY > (CURDATE() - INTERVAL 7 DAY)";
$result = $con->query($sql);
$rows = array();
if ($result->num_rows > 0) {

	while($row = $result->fetch_assoc()) {
		$myObj = new stdClass();

		$myObj->pm10 = round($row["pm10"], 1);
		$myObj->pm25 = round($row["pm25"],1);
		$myObj->timing = $row["timing"];

		$rows[] = $myObj;
	}
}

$myJSON = json_encode($rows);

echo $myJSON;
$con->close();


?>
