<!DOCTYPE html>
<html>
  <head>
    <title>ChartJS - LineGraph</title>
    <style>
      .chart-container {
        width: 640px;
        height: auto;
      }
    </style>
  </head>
  <body>
    <div class="chart-container">
      <canvas id="mycanvas"></canvas>
    </div>
    
    <!-- javascript -->
    <script type="text/javascript" src="js/jquery-1.7.2.min.js"></script>
    <script type="text/javascript" src="js/Chart.min.js"></script>
    <script>$(document).ready(function(){
  $.ajax({
    url : "aqi_chart.php",
    type : "GET",
    success : function(data){
      console.log(data);

      var timing = [];
      var pm10 = [];
      var pm25 = [];
	  var myObj = JSON.parse(data);
      for(var i in myObj) {
		
        timing.push(myObj[i].timing);
		console.log(myObj[i].timing);
        pm10.push(myObj[i].pm10);
		console.log(myObj[i].pm10);
        pm25.push(myObj[i].pm25);
		console.log(myObj[i].pm25);
      }

      var chartdata = {
        labels: timing,
        datasets: [
          {
            label: "PM10",
            fill: false,
            lineTension: 0.1,
            backgroundColor: "rgba(59, 89, 152, 0.75)",
            borderColor: "rgba(59, 89, 152, 1)",
            pointHoverBackgroundColor: "rgba(59, 89, 152, 1)",
            pointHoverBorderColor: "rgba(59, 89, 152, 1)",
            data: pm10
          },
          {
            label: "PM25",
            fill: false,
            lineTension: 0.1,
            backgroundColor: "rgba(29, 202, 255, 0.75)",
            borderColor: "rgba(29, 202, 255, 1)",
            pointHoverBackgroundColor: "rgba(29, 202, 255, 1)",
            pointHoverBorderColor: "rgba(29, 202, 255, 1)",
            data: pm25
          },
        ]
      };

      var ctx = $("#mycanvas");

      var LineGraph = new Chart(ctx, {
        type: 'line',
        data: chartdata
      });
    },
    error : function(data) {

    }
  });
});
</script>
  </body>
</html>